Subject: bug#40577: Auctex can't open anymore documentation

From: Tobias Bora <[email-masked]>
Date: Sat, 28 Jan 2023 11:35:54 +0100

Thanks a lot, I can confirm the bug is gone in recent emacs.

Le 28 janvier 2023 10:09:32 GMT+01:00, Ikumi Keita <[email-masked]> a écrit :
>Hi Tobias,
>
>>>>>> Ikumi Keita <[email-masked]> writes:
>>>>>> Tobias Bora <[email-masked]> writes:
>>> I don't know why, but I updated recently my .emacs file (which may
>>> downloaded a recent version of auctex), and since then I can't open
>>> documentation anymore. Indeed, if I do `C-c ? tikz <RET>` then okular
>>> starts, but is killed before opening the document. I tried with an empty
>>> configuration (emacs -Q) in a new home, and I even tried it on a
>>> completely empty (and new) user.
>
>> [...]
>
>>> Any idea what's going wrong? The only idea I have is that maybe emacs
>>> kills for some reason the okular process, but no idea why...
>
>> It may be related to my commit in 2018:
>> ----------------------------------------------------------------------
>> commit c8a8d475d5a5c826c02313937e2bf09cca3fe057
>> Author: Ikumi Keita <[email-masked]>
>> Date:   Sun Nov 4 03:21:33 2018 +0900
>
>>     Don't block emacs during viewing document
>    
>>     * tex.el (TeX-documentation-texdoc): Use asynchronous proces not to
>>     block emacs during viewing document.
>>     Supply "%s" to `message' argument in case the shell output contains
>>     accidental %-sequence.
>
>> ----------------------------------------------------------------------
>> This commit is intended for evince but it might harm okular in some way.
>> Could you see whether your okular wokrs if you revert the above change?
>
>It seems that it was indeed the case[1]. I hope I have now fixed the
>issue, so I close this bug. Please try the next ELPA release. If that
>doesn't resolve your problem, feel free to reopen this bug.
>
>Regards,
>Ikumi Keita
>#StandWithUkraine #StopWarInUkraine
>
>[1] https://lists.gnu.org/r/auctex/2023-01/msg00000.html